#! /usr/bin/env python

# This program reads in two files,
# and binds line by line the specified fields from two field.
# Make sure the two files are in the SAME ORDER.
#
# Options:
# -1 FIELD (e.g. -1 1-3,6)
# -2 FIELD
# Specify the fileds of file 1 & file 2 to be bound.

import sys

usage = "USAGE: bind_files -1 field -2 field <file1> <file2>\n"

if len(sys.argv) != 7:
    sys.stderr.write(usage)
    sys.exit(1)

# read in options
fieldStr = []
sys.argv = sys.argv[1:]
while len(sys.argv) > 2:
    next_arg = sys.argv[0]
    sys.argv = sys.argv[1:]
    if next_arg == '-1':
        fieldStr.append(sys.argv[0])
        sys.argv = sys.argv[1:]
    elif next_arg == '-2':
        fieldStr.append(sys.argv[0])
        sys.argv = sys.argv[1:]
    else:
        sys.stderr.write("Invalid option (%s)\n" % next_arg)
        sys.exit(1)

if len(sys.argv) != 2:
    sys.stderr.write(usage)
    sys.exit(1)

file1 = sys.argv[0]
file2 = sys.argv[1]

if file1 == '-' :
    fp1 = sys.stdin
else:
    fp1 = open(file1, 'r')
    
if file2 == '-':
    fp2 = sys.stdin
else:
    fp2 = open(file2, 'r')

fields = [[], []]
for i in (0, 1):
    item = fieldStr[i].split(',')
    for f in item:
        subitem = f.split('-')
        # individual field
        if len(subitem) == 1:
            fields[i].append(int(subitem[0]) - 1)
        # field range
        else:
            fields[i].extend(range(int(subitem[0])-1, int(subitem[1])))


line1 = fp1.readline()
line2 = fp2.readline()
while line1 != '':
    item1 = line1.split()
    item2 = line2.split()

    # output fields in file1
    sys.stdout.write(item1[fields[0][0]])
    for j in range(1, len(fields[0])):
        sys.stdout.write('\t'+ item1[fields[0][j]])
    # output fields in file2
    for j in range(0, len(fields[1])):
        sys.stdout.write('\t'+ item2[fields[1][j]])
    sys.stdout.write('\n')

    line1 = fp1.readline()
    line2 = fp2.readline()


            
