#! /usr/bin/env python

# This program reads:
# 1) DHS bed file
# 2) footprints file generated by rank_footprints.m

# It generates the bed file for the footprints.

# arguments
# DHSBedFile = '~chenxy/proj/tagDHS/data/K562-DS7664.fdr.001.zthr.bed'
# footprintFile = '~chenxy/proj/tagDHS/results/footprints/K562.footprints.DHSRank'

import sys

DHSBedFile = sys.argv[1]
ftprtFile = sys.argv[2]

fpDHS = open(DHSBedFile, 'r')
DHSBed = []
for line in fpDHS:
    item = line.split()
    DHSBed.append({'CHR':item[0], 'START':int(item[1])}) 
fpDHS.close()

fpFtprt = open(ftprtFile, 'r')
sys.stdout.write('chr\tstart\tstop\tscore\tq-value\n')
for line in fpFtprt:
    item = line.split()
    DHSid = int(item[0])-1
    ftprtStart = int(item[1])
    ftprtStop = int(item[2])

    chr = DHSBed[DHSid]['CHR']
    # Bed format, start 0-based
    start = ftprtStart + DHSBed[DHSid]['START'] -1
    # Bed format, stop 1-based
    stop = ftprtStop + DHSBed[DHSid]['START']

    sys.stdout.write(chr+'\t'+str(start)+'\t'+str(stop))    
    for i in range(3, len(item)):
        sys.stdout.write('\t'+item[i])
    sys.stdout.write('\n')
