#! /bin/bash

targetPrefix=$1
nullPrefix=$1.shuffled
#nullPrefix=$1.shuffled2

outPrefix=segment.intergenic
resDir=$HOME/proj/footprintDetector/results/segmenting/$targetPrefix/segments
nullDir=$HOME/proj/footprintDetector/results/segmenting/$nullPrefix/segments
srcDir=$HOME/proj/footprintDetector/src


cd $resDir

segmentTarget=$resDir/segment.intergenic.scores.bed
segmentNull=$nullDir/segment.intergenic.scores.bed

# list of real scores
awk 'NR > 1' $segmentTarget \
    | sort -k4,4 -g \
    > qv.target.bed
cut -f 4 qv.target.bed > qv.target

# list of null scores
awk 'NR > 1' $segmentNull \
    | cut -f 4  \
    > qv.null

# echo "Applying QVALITY to compute qvalues..."
compute_qv_nullScores.py \
   qv.target qv.null \
   > qv.out

# echo "post-processing..."
bind_files.py \
    -1 1-4  -2 2  \
    qv.target.bed \
    qv.out \
    > $outPrefix.qv.bed
#    > $outPrefix.qv2.bed

rm qv.*
